Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000192Frama-CKernelpublic2009-07-15 12:522014-02-12 16:56
Reporterlukaszc 
Assigned Topascal 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Beryllium-20090601-beta1 
Target VersionFixed in VersionFrama-C Beryllium-20090901 
Summary0000192: -ocode causes crach
Descriptionframa-c -ocode
ends with crash
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000280)
pascal (reporter)
2009-07-20 10:28

Well found.

Workaround: always use a filename as the argument to option -ocode.
Example:
~/ppc $ bin/toplevel.opt -ocode
[kernel] error: unexpected error Invalid_argument("index out of bounds")
[kernel] error: please report as `crash' at http://bts.frama-c.com [^]
~/ppc $ bin/toplevel.opt -ocode toto.c
~/ppc $

- Issue History
Date Modified Username Field Change
2009-07-15 12:52 lukaszc New Issue
2009-07-20 10:27 pascal Status new => assigned
2009-07-20 10:27 pascal Assigned To => pascal
2009-07-20 10:28 pascal Note Added: 0000280
2009-07-20 10:28 pascal Status assigned => acknowledged
2009-07-20 11:08 svn Checkin
2009-07-20 11:08 svn Status acknowledged => resolved
2009-07-20 11:08 svn Resolution open => fixed
2009-08-26 11:25 signoles Fixed in Version => Frama-C Beryllium
2009-09-02 10:54 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker